%define origver 54
%define origname DRAWxtl

Name: drawxtl
Version: 5.4
Release: alt1

Summary: Displays crystal structures
License: GPLv2
Group: Sciences/Chemistry

Url: http://www.lwfinger.net/drawxtl
Source0: http://home.att.net/~larry.finger/drawxtl/%origname%origver.tar.gz
Source1: %name.desktop
Source2: %name.xpm
Source3: %name.png
Source4: %name.1
Source5: README
Patch0: drawxtl-debian-paths.patch
Patch1: drawxtl-debian-arch.patch
Patch2: drawxtl-debian-gcc44.patch
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Sun Dec 13 2009 (-bi)
BuildRequires: desktop-file-utils dos2unix gcc-c++ libGL-devel libXext-devel libXft-devel libXinerama-devel libXpm-devel libfltk-devel-static libfreeglut-devel

#Requires: povray

%description
The program DRAWxtl is the result of the collaboration of Larry
W. Finger, retired from the Geophysical Laboratory, Washington, DC,
Martin Kroeker, Institut fur Anorganische und Analytische Chemie,
Universitat Freiburg, Germany, and Brian Toby, Advanced Photon Source,
Argonne National Laboratory, USA.

The purpose of this program is to display crystal structures on
ordinary computer hardware and operating systems. Four forms of
graphics are produced:

- an OpenGL window for immediate viewing,
- the Persistence of Vision Ray Tracer (POV-RAY) scene language
  for publication-quality drawings,
- the Virtual Reality Modeling Language (VRML) for dissemination
  across the Internet, and
- a Postscript rendering of the OpenGL window for those that want
  high-quality output but do not have POV-RAY installed.

The current program is an outgrowth of a former version named
crystal that was written by Finger for the proprietary hardware
and software of Advanced Visualization System.

Reference:
Larry W. Finger, Martin Kroeker, and Brian H. Toby, DRAWxtl,
an open-source computer program to produce crystal-structure
drawings, J. Applied Crystallography V40, pp. 188-192, 2007

%prep
%setup -n %origname
%patch0 -p1
%patch1 -p1
%patch2 -p1
dos2unix examples/*

%build
cd source/%origname%origver
%make_build

%install
install -pDm755 exe/%origname%origver %buildroot%_bindir/%name
install -pDm644 %SOURCE1 %buildroot%_desktopdir/%name.desktop
install -pDm644 %SOURCE2 %buildroot%_niconsdir/%name.xpm
install -pDm644 %SOURCE3 %buildroot%_liconsdir/%name.png
install -pDm644 %SOURCE4 %buildroot%_man1dir/%name.1
install -pDm644 %SOURCE5 README
ln -s %name %buildroot%_bindir/%origname
ln -s %name.1 %buildroot%_man1dir/%origname.1

%files
%doc README
%doc docs/*.pdf docs/*.txt
%doc examples/
%_bindir/*
%_man1dir/*
%_desktopdir/*.desktop
%_liconsdir/*.png
%_niconsdir/*.xpm

%changelog
* Sun Dec 13 2009 Michael Shigorin <mike@altlinux.org> 5.4-alt1
- built for ALT Linux
  + based on debroglie spec and debian patches/resources
- heavy spec cleanup
